--- exosip/Makefile.in.orig	Thu Nov 23 01:03:41 2006
+++ exosip/Makefile.in	Thu Nov 23 01:09:15 2006
@@ -55,7 +55,7 @@
 	jcallback.lo jdialog.lo udp.lo jcall.lo jreg.lo jfreinds.lo \
 	jidentity.lo eXutils.lo jnotify.lo jsubscribers.lo \
 	jsubscribe.lo jevents.lo sdp_offans.lo misc.lo jpipe.lo \
-	jauth.lo jpublish.lo
+	jauth.lo jpublish.lo osip_negotiation.lo
 libeXosip_la_OBJECTS = $(am_libeXosip_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -70,7 +70,8 @@
 @AMDEP_TRUE@	./$(DEPDIR)/jresponse.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/jsubscribe.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/jsubscribers.Plo ./$(DEPDIR)/misc.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/sdp_offans.Plo ./$(DEPDIR)/udp.Plo
+@AMDEP_TRUE@	./$(DEPDIR)/sdp_offans.Plo ./$(DEPDIR)/udp.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/osip_negotiation.Plo
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
@@ -303,7 +304,7 @@
 jnotify.c      jsubscribers.c          jsubscribe.c    jevents.c \
 sdp_offans.c   misc.c                  eXosip2.h         \
 jpipe.c        jpipe.h                 jauth.c     jpublish.c \
-eXosip.h eXosip_cfg.h
+eXosip.h eXosip_cfg.h osip_negotiation.h osip_negotiation.c
 
 libeXosip_la_LIBADD = $(EXOSIP_LIBS)
 INCLUDES = -I$(top_srcdir)
@@ -378,6 +379,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdp_offans.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/udp.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osip_negotiation.Plo@am__quote@
 
 .c.o:
 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
